Subject: Summary: MO visualizied by contour plots with an ARBRITRARY plane

From: "Wong Kin Yiu (cflo)" <[email-masked]>
Date: Thu, 10 Aug 2000 05:36:57 +0800 (HKT)

Dear CCLers,

	There are couples of reply about it. I would like to thank again 
to those who help me. So far, from all replies I don't know whether there 
are commercial softwares could visualize MO with an arbitrary plane, but 
at least a free software, MOLDEN, could do so (it seems IBM OpenDX could 
do also, but I haven't used it). However, MOLDEN only allow command 
interface to control the orientation of the plane, user could not rotate 
the plane by dragging a mouse. Anyway, only command interface is more 
than enough for my project. In the following, you could find my original 
quesiton and replies from others. Thanks a lot again!

Best regards,
Kiniu

Undergraduate student
Department of Physics
The Chinese University of Hong Kong

----- Original Message ----- 
From: "Wong Kin Yiu (cflo)" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, August 03, 2000 5:29 PM
Subject: CCL:Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> Dear CCLers:
> 
>     Recently, I have downloaded two free molecular modeling softwares. One
> is gOpenMol [1], another is MOLDEN [2]. Though both could visualise
> molecular orbitals with contour plots by a cutplane, it seems I could not
> rotate the plane arbitrarily with respect to the molecule. The plane is 
just
> x-y plane, y-z plane or x-z plane of the system. I could not change its
> orientation, such as the plane formed by any three atoms. Does anybody have
> used either of these softwares to visualise contour plots by an arbitrary
> plane? If so, would you mind teaching me how to do so? Thank you.
> 
>     Besides, are there other visualising softwares (either free or
> comercial) could rotate the cutplane arbitrarily, such as GaussView [3] or
> Chem3D [4]? Thanks in advance for any information about it.
> 
>     Anyway, I have tried another approach to rotate the plane. Since I
> generated molecular orbitals by Gaussian [5] with keyword CUBE, so I have
> tried whether I could transform the CUBE data to a new coordinate system
> such that the orientations of cutplane is the one I wanted. However, after
> reading the user's reference, I still do not understand the 'structure' of
> CUBE data files. What I could do so far is only transform the positions of
> atoms, the orbital values could not be transformed successfully. Does 
anyone
> could help me to transform the CUBE data to a new coordinate system? Again,
> thanks in advance.
> 
>     Finally, I will summarise any useful information to share with other
> colleagues.
> 
> References:
> [1]    http://www.csc.fi/~laaksone/gopenmol/gopenmol.html
> [2]    http://www.caos.kun.nl/~schaft/molden/molden.html
> [3]    http://www.gaussian.com/gvbroc.htm
> [4]    http://products.camsoft.com/chem3d/
> [5]    http://www.gaussian.com
> 
> Best regards,
> Kiniu

----- Original Message ----- 
From: "Leif Laaksonen" <[email-masked]>
To: "Kiniu ?o?P?O?l" <[email-masked]>
Sent: Thursday, August 03, 2000 6:58 PM
Subject: RE: gOpenMol: is it possible to visualise molecular orbitals 
with contour plots by an ARBITRARY plane??

> 
> Hi,
>  
> No problem! I'm sorry but currently only the xy, xz and yz planes are
> allowed. 
> 
> >     Sorry to bother you again. I have a question. gOpenMol could 
visualise
> > molecular orbitals with contour plots by a cutplane, it seems I could not
> > rotate the plane arbitrarily with respect to the molecule. The plane 
is just
> > x-y plane, y-z plane or x-z plane of the system. I could not change its
> > orientation, such as the plane formed by any three atoms. Is it 
possible to
> > visualise contour plots by an arbitrary plane? If so, would you mind
> > teaching me how to do so? Thank you.
> > 
> 
> The CUBE file format is described in the GaussianXX manual. That's
> the text included with the CUBE programs. What I suggest is that 
> you rotate the molecule input coordinates for Gaussian, recalculate
> it and display it using the three planes.
>  
> >     Anyway, I have tried another approach to rotate the plane. Since I
> > generated molecular orbitals by Gaussian with keyword CUBE, so I have 
tried
> > whether I could transform the CUBE data to a new coordinate system 
such that
> > the orientations of cutplane is the one I wanted. However, after 
reading the
> > user's reference, I still do not understand the 'structure' of CUBE data
> > files. What I could do so far is only transform the positions of 
atoms, the
> > orbital values could not be transformed successfully.  Do you know 
how to
> > transform the CUBE data to a new coordinate system? Again, thanks in
> > advance.
> > 
> 
> Go to the "Plot ==> Cutplane" widget. There are three buttons named
> Animate "X - ===> +", "Y - ===> +" and "Z - ===> +". Click the one
> you want. Remember to Click the tag at the beginning of the line
> to actually show the plane! The animation you talk about is a
> MPEG movie.
> 
>  
> >     Moreover, from the picture gallery of gOpenMol, I found it there are
> > animations of moving cutplane. But I could not find this function in
> > gOpenMol, what I found is only animating of trajectory. So, could 
gOpenMol
> > animate moving plane? Or, you make the animations by other softwares?
> > 
> 
> Regards,
> 
> -leif laaksonen

----- Original Message ----- 
From: "Trohalaki Steven Contr AFRL/MLPJ" <[email-masked]>
To: "'Wong Kin Yiu (cflo)'" <[email-masked]>
Sent: Friday, August 04, 2000 3:42 AM
Subject: RE: Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> in molden, you have to go into density mode.  then click on plot plane 
and follow the instructions to define the atoms for the plane you want.
> 
> be sure to include the keywords "gfinput  IOP(6/7=3)" in your g98.com file.
> 
> steve t

----- Original Message ----- 
From: "Matthias Mann" <[email-masked]>
To: "Wong Kin Yiu (cflo)" <[email-masked]>
Sent: Friday, August 04, 2000 3:56 PM
Subject: Re: CCL: ... ARBITRARY plane??

> On Thu, 03 Aug 2000, you wrote:
> 
> >    Besides, are there other visualising softwares (either free or
> >comercial) could rotate the cutplane arbitrarily, such as GaussView 
[3] or
> >Chem3D [4]? Thanks in advance for any information about it.
> 
> To move this plan ("slice") arbitrarily with the mouse, we using the
> commercial software SPARTAN (http://www.wavefun.com) or
> the IBM Open Visualization Data Explorer (now free available).
> Example pictures I have under:
> http://www.chm.tu-dresden.de/edv/spartan/spartan.html    and
> http://www.chm.tu-dresden.de/edv/dx/dx.html .
> Spartan as an integrated quentum chemical package is more intuitive;
> DataExplorer is an general 3D visualizing tool, but you will need longer
> break-in period.
> 
> Matthias
> 
> --
> Dr. Matthias Mann 
> Institut fuer Organische Chemie, TU Dresden
> D-01069 Dresden, Mommsenstr. 13
> Tel.: +49 (351) 463-4286 / Fax: -3162
> Email: [email-masked]

----- Original Message ----- 
From: "BK Szefczyk" <[email-masked]>
To: "Wong Kin Yiu (cflo)" <[email-masked]>
Sent: Friday, August 04, 2000 5:36 PM
Subject: Re: CCL:Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> Hi Kin Yiu,
> 
> I am using Molden to visualise the molecular orbitals. I don't know
> gOpenMol but I can tell you how to adjust the plane position in
> Molden. When you choose the Density Mode, you can find in Miscellaneous
> group button called PlotPlane. If you press this button you will
> get a window in wich you can specify position of plot plane.
> You just type in the text field, for example:
> 
> Plane = (4,5,7)
> 
> to visualise the plane formed by atoms 4, 5 and 7.
> You can also rotate the plane with Rot and shift the plane
> with Lift command. All the commands are described in the PlotPlane
> window, under the text field. Remember that you have to specify
> "gfinput" and "IOp(6/7=3)" keywords [1] in your input files for
> gaussian. Otherwise you can't see the molecular orbitals in Molden.
> 
> [1] http://www.cmbi.kun.nl/~schaft/molden/gauss.html
> 
> Best regards, Borys.

----- Original Message ----- 
From: "Aldert Westra Hoekzema" <[email-masked]>
To: "Wong Kin Yiu (cflo)" <[email-masked]>
Sent: Friday, August 04, 2000 6:22 PM
Subject: Re: CCL:Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> Hi Kiniu,
> 
> Can't help you with the visualisation, but I can help you with
> the CUBE files of gaussian.  After the title line(s), in the
> next 4 lines the coordinate system is defined as follows:
>    (no. atoms)  Origin
>    (no. points) Axis 1 unit vector
>    (no. points) Axis 2 unit vector
>    (no. points) Axis 3 unit vector
> So if you want a view from anaother direction, translate the
> origin and/or rotate the axes (and of coarse don't forget the
> atomic sites).  Below you can find a simple program to expand
> the CUBE files that may help you understand the structure, it
> worked for g92/g94.
> 
> Aldert
> 
> -------------------------------------------
> A.J.A. Westra Hoekzema
> Conformational Analysis (Organic Chemistry)
> Leiden Institute of Chemistry,
> Gorlaeus Laboraties, Leiden University
> The Netherlands
> -------------------------------------------
> 
> *-----fortran 77
>       program g92cub
> *----------------------------------------------------------------------
> * read formatted files produced with the g92 option cube and
> * generate the implied grid that is written to a dump
> *----------------------------------------------------------------------
>       implicit   double precision (a-h,o-z)
>       parameter (m3=6)
>       dimension  pr(m3)
>       character  ti*79,pr*13
> *----------------------------------------------------------------------
>  5000 format(a)
>  5001 format(i5,4f12.6)
> c5002 format(6g13.5)
>  5002 format(6a13)
> *   ! manual mentions 6f12.6 !
>  6001 format(/1x,a:i12)
>  6002 format(1x,a:3f12.6)
>  6003 format(1x,a,2(i12:','),a12)
>  6004 format(1x,i4,f7.1,3f12.6)
> c6005 format(1x,i6,4g13.5)
>  6005 format(1x,i6,3f12.6,a15)
> *----------------------------------------------------------------------
>       write(6,6002) 'Proces formatted output of g92 cube option'
> 
>       write(6,6001) 'Title and type of property on file :'
>       read(5,5000,end=13,err=13) ti
>       write(6,6002) ti
> *     the title may take 5 lines in g92!?
>       read(5,5000,end=13,err=13) ti
>       write(6,6002) ti
> 
>       read(5,5001,end=13,err=13) na,x0,y0,z0
>       write(6,6001) 'No. atoms           :',na
>       write(6,6002) 'Initial point grid  :',x0,y0,z0
>       read(5,5001,end=13,err=13) n1,x1,y1,z1
>       write(6,6003) 'No. points 1st axis :',n1
>       write(6,6002) 'Step vector         :',x1,y1,z1
>       read(5,5001,end=13,err=13) n2,x2,y2,z2
>       write(6,6003) 'No. points 2nd axis :',n2
>       write(6,6002) 'Step vector         :',x2,y2,z2
>       read(5,5001,end=13,err=13) n3,x3,y3,z3
>       write(6,6003) 'No. points 3rd axis :',n3
>       write(6,6002) 'Step vector         :',x3,y3,z3
> 
>       write(6,6001) 'Atomic numbers, nuclear charges, and coordinates'
>       do 111 i=1,na
>         read(5,5001,end=13,err=13) ni,qn,xi,yi,zi
>         write(6,6004) ni,qn,xi,yi,zi
>  111  continue
> 
>       write(6,6001) 'Grid coordinates (generated), Property (read)'
>       do 222 i1=0,n1-1
>       do 222 i2=0,n2-1
>         write(6,6003) 'Points :',i1,i2,'*'
>         i3=0
>   22    continue
>           ni=min(n3-i3,m3)
>           read(5,5002,end=13,err=13) (pr(i),i=1,ni)
>           do 2 i=1,ni
>             xi=x0+i1*x1+i2*x2+i3*x3
>             yi=y0+i1*y1+i2*y2+i3*y3
>             zi=z0+i1*z1+i2*z2+i3*z3
>             write(6,6005) i3,xi,yi,zi,pr(i)
>             i3=i3+1
>    2      continue
>         if(i3-n3) 22,222,222
>  222  continue
> 
>       read(5,5002,end=999,err=13) (pr(i),i=1,m3)
>   13  continue
>         write(6,6001) '!! ERROR EXIT OF G92CUB !!'
>       stop 13
>  999  continue
>         write(6,6001) 'Normal completion of g92cub'
>       stop
> *----------------------------------------------------------------------
>       end

----- Original Message ----- 
From: "Stefan Konietzny" <[email-masked]>
To: "Wong Kin Yiu (cflo)" <[email-masked]>
Sent: Friday, August 04, 2000 6:55 PM
Subject: Re: CCL:Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> Dear Wong Kin Yiu,
> 
> i had the same problem, and sadly not solved it yet. I am also working
> with 
> gopenmol and molden (by the way gopenmol is great).
> I did not know that gaussview can display cutplanes and rotate them. I
> will have a look at this.. on Monday :-)
> 
> May i beg you to forward the replies you get to me.
> 
> I would be very happy,
> 
> thanks Stefan.
> 
> P.S.: Maybe GNUplot is a good choice, but i have never worked with it.

----- Original Message ----- 
From: "Trohalaki Steven Contr AFRL/MLPJ" <[email-masked]>
To: "'Wong Kin Yiu (cflo)'" <[email-masked]>
Sent: Friday, August 04, 2000 8:16 PM
Subject: RE: Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> sorry, i've never used cube in g98. the way i get contour plots is as 
follows:
> 
> read g98.log file; go to density mode; define a plane; in the 
plot-function section, click on HOMO or orbital and then the particular 
orbital you want; then click on euclidean in the plot mode section.
> 
> contour subcommands allow you to vary the step size and cutoffs of the 
contour plot.  also, to get the orbital window (which displays the 
orbitals to select) to go away, click on the original orbital button on 
the molden control window.  i have an older version of molden, so perhaps 
there is currently a close button on the orbital window.  my version of 
molden doesn't have a read cube button, either.
> 
> steve t
> 
> steve t
> 
> -----Original Message-----
> From: Wong Kin Yiu (cflo) [mailto:[email-masked]]
> Sent: Thursday, August 03, 2000 8:26 PM
> To: [email-masked]
> Subject: Re: Molecular Orbitals: is it possible to visualise contour
> plots by an ARBITRARY plane??
> 
> 
> Hi,
> 
>     Thanks for your quick reply first. I now could define the plot plane
> with any three atoms. However, I am is a beginner to Molden, after
> investigating for hours, I still don't know to how to plot a contour of a
> molecular orbital. Take HOMO of a hydrogen molecule as an example. I
> generate CUBE data file by the following input:
> 
> #P RHF/6-31G(d) SCF=Tight Cube(orbitals) gfinput IOP(6/7=3)
> 
> Hydrogen molecule
> 
> 0 1
> H1
> H H1 R
> Variables:
> R=0.72965995
> 
> h2homo.data
> HOMO
> 
> And then I go to density mode of Molden, and click 'read cube'. However,
> after reading h2homo.data, I couldn't get any contour plots even I have
> tried all buttons. So, I go to read the manual, but I couldn't get any
> useful instruction about it. Would you mind teaching me how to 
visualise the
> contour plots by MOLDEN? Thank you very much.
> 
> Best wishes,
> Kiniu

----- Original Message ----- 
From: "Gijs Schaftenaar" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, August 08, 2000 5:53 PM
Subject: Re: Molecular Orbitals: is it possible to visualise contour 
plots by an ARBITRARY plane??

> 
> Dear Kiniu,
> 
> > 
> >     Recently, I have downloaded MOLDEN (for X-Windows). Though it could
> > visualise molecular orbitals with contour plots by a cutplane, it 
seems I
> > could not rotate the plane arbitrarily with respect to the molecule. The
> > plane is just x-y plane, y-z plane or x-z plane of the system. I 
could not
> > change its orientation, such as the plane formed by any three atoms. 
Is it
> > possible to visualise contour plots by an arbitrary plane? If so, 
would you
> > mind teaching me how to do so in details? Thank you.
> > 
> 
> Sorry for the somewhat late reply, i just returned from a two week 
holliday.
> You can change the orientation of the plot plane, in the 'density mode'
> click on the button 'PlotPlane'. Now there are two ways to change the
> orientation of the plot plane. The 'center' and 'line' commands define
> the center of the plot and the normal of the plane. Alternatively
> you can use 'plane' and 'rot', which uses references to atoms to define
> a plot. Lastly there is the 'lift' command which lift the plane along
> the direction of its normal.
> 
> Best Regards,
> 
> Gijs Schaftenaar
> 
> 
> -- 
>     +----------------------------+-----------------------------------+
>       Gijs Schaftenaar, Drs.     | CMBI
>       Email: [email-masked]  | University of Nijmegen
>       URL  : http://www.cmbi.kun.nl/staff/schaft.html
>       Tel. : +31 24 3653369      | Toernooiveld 1
>       Fax  : +31 24 3652977      | 6525 ED Nijmegen, The Netherlands
>     +-------- The CMBI is the Dutch National Node in EMBnet ---------+